PHP-инклюдинг в MyAlbum

Дата публикации:
13.11.2006
Всего просмотров:
5400
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MyAlbum 3.x
Уязвимые версии: MyAlbum 3.0.3, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "langs_dir" в сценарии language.inc.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[MyAlbum_DIR]/language.inc.php?langs_dir=[file]

URL производителя: www.comscripts.com/scripts/php.myalbum.1731.html

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: MyAlbum <= 3.02 (language.inc.php) Remote File Inclusion Vulnerability

или введите имя

CAPTCHA